net.i2p.addressbook

## Class HostCheckerBridge

- java.lang.Object
- - net.i2p.addressbook.HostCheckerBridge

-     public class HostCheckerBridge
      extends Object

  Bridge class to provide static access to HostChecker functionality for JSP pages This avoids reflection issues and provides a clean interface

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostCheckerBridge()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,HostChecker.PingResult>` | `getAllPingResults()` Get all current ping results
    `static String` | `getCategoryDescription(String category)` Get description for a category
    `static HostChecker` | `getInstance()` Get singleton HostChecker instance This should be set by Daemon.java to avoid duplicate instances
    `static Map<String,String>` | `ping(String host)` Ping a single host and return as result as a Map
    `static void` | `setInstance(HostChecker checker)` Set HostChecker instance (should be called by Daemon.java)
    `static void` | `startPeriodicChecking()` Start periodic ping checking
    `static void` | `stopPeriodicChecking()` Stop periodic ping checking

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HostCheckerBridge

          public HostCheckerBridge()

  - ### Method Detail

    - #### getAllPingResults

          public static Map<String,HostChecker.PingResult> getAllPingResults()

      Get all current ping results
      Returns:
        Map of all ping results

    - #### getCategoryDescription

          public static String getCategoryDescription(String category)

      Get description for a category
      Parameters:
        `category` - category name
      Returns:
        category description, or category itself if unknown

    - #### getInstance

          public static HostChecker getInstance()

      Get singleton HostChecker instance This should be set by Daemon.java to avoid duplicate instances

    - #### ping

          public static Map<String,String> ping(String host)

      Ping a single host and return as result as a Map
      Parameters:
        `host` - hostname to ping
      Returns:
        Map containing ping results (status, reachable, responseTime, timestamp)

    - #### setInstance

          public static void setInstance(HostChecker checker)

      Set HostChecker instance (should be called by Daemon.java)

    - #### startPeriodicChecking

          public static void startPeriodicChecking()

      Start periodic ping checking

    - #### stopPeriodicChecking

          public static void stopPeriodicChecking()

      Stop periodic ping checking